2016年8月6日土曜日

Admob のために、Google Play Services を導入

しばらく前から、Admob にて、Google Play Services を使うようになっていたが、更新も面倒なので、放置していた。

しかし、古いSDKは、2016年9月15日でサポート終了とのメールが来ている。

というわけで、更新!


エクリプスで作成していたアプリだが、さすがにAndroidStudio を導入。

インポートすると、エラーは出たが、メッセージをみて、インストールとかしてれば、あっさり完了。

※一応、書き換えが必要なものもあった。参考
http://qiita.com/shoma2da/items/1e84807809e7d1f4803b


ビルドできたので、リリースAPKを作ろうとしたところ、エラー。

Error:The number of method references in a .dex file cannot exceed 64K.

どうも dex ファイルを64K以下にしろ、みたいな。

そんなん言われても、導入したの Google Play Services だけだし…。


サポート終了を知らせるメールには、
compile 'com.google.android.gms:play-services:9.0.2'
と記述せよと書いてある。

https://developers.google.com/android/guides/setup
を見てみると、やはり
compile 'com.google.android.gms:play-services:9.4.0'
という書き方をしている。

が、どうもこれがマズイっぽい。


以下を参考に
http://qiita.com/niusounds/items/f9a0ab3cbe07878ed8f6

compile 'com.google.android.gms:play-services-ads:9.4.0'

と書いてみた(赤字が追加部分)ところ、すんなり通った!


そんなわけで、1年以上ぶりのアプリ更新、こちらのブログも更新となりましたとさ。

0 件のコメント: